@import ./variables.sass

.content .taglist
  list-style: none
  margin-bottom: 0
  margin-left: 0
  margin-right: 1.5rem
  margin-top: 1.5rem
  display: flex
  flex-wrap: wrap
  justify-content: left
  align-items: center
  li
    padding: 0 2rem 1rem 0
    margin-bottom: 1.5rem
    margin-top: 0

// Helper Classes
.full-width-image-container
  width: 100vw
  height: 400px
  position: relative
  left: 50%
  right: 50%
  margin: 2em -50vw
  background-size: cover
  background-position: bottom
  display: flex
  justify-content: center
  align-items: center

.full-width-image
    width: 100vw
    height: 400px
    background-size: cover
    background-position: bottom
    display: flex
    justify-content: center
    align-items: center

.btn
    display: inline-block
    padding: 12px 16px 10px
    font-size: 18px
    font-size: 1rem
    line-height: 1.25
    background-color: #fff
    border-radius: .25rem
    text-decoration: none
    font-weight: 700
    color: #CC3700
    text-align: center
    -webkit-box-shadow: inset 0 0 0 2px #CC3700
    box-shadow: inset 0 0 0 2px #f40
    -webkit-transition: all .15s ease
    transition: all .15s ease

.margin-top-0
  margin-top: 0 !important

// Override for use of svg's from https://simpleicons.org/
.icon svg
  width: 1.5rem
  height: 1.5rem
  fill: currentColor

footer.footer
  padding: 3rem 0rem 0rem
  background-color: transparent

.social
  padding: 2em
.social a
    padding: .5em .5em .3em .5em
    border-radius: 1em
    background-color: $white-ter
    margin: .5em
    width: 1em
    height: 1em
    vertical-align: middle
    display: inline


// Blog post style

.blockquote
  border-left: 0.5em solid #ccc
  font-size: 2em
  padding: 0.5em
  line-height: 1.5
  margin-left: 0
  margin-right: 0
  position: absolute
  right: 100%
  top: 70vh
  width: 9em
  background: #191919

  &::before,
  &::after
    color: #ccc
    font-size: 1.25em
    line-height: 0

  &::before
    content: open-quote

  &::after
    content: close-quote
